Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] unmaintained/oksh: move from testing/

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Tue, 20 Oct 2015 18:23:23 +0200

The package doesn't build anymore. I wrote the maintainer an email a few
months ago and he still didn't fix it. Furthermore a decent OpenBSD ksh
port to linux is already available in the testing/loksh package.
---
 testing/oksh/APKBUILD      | 57 ----------------------------------------------
 unmaintained/oksh/APKBUILD | 57 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+), 57 deletions(-)
 delete mode 100644 testing/oksh/APKBUILD
 create mode 100644 unmaintained/oksh/APKBUILD
diff --git a/testing/oksh/APKBUILD b/testing/oksh/APKBUILD
deleted file mode 100644
index d2b214c..0000000
--- a/testing/oksh/APKBUILD
+++ /dev/null
_at_@ -1,57 +0,0 @@
-# Contributor: Orion <systmkor_at_gmail.com
-# Maintainer: Orion <systmkor_at_gmail.com
-# Reference
-#   https://aur.archlinux.org/packages/oksh/
-pkgname=oksh
-pkgver=0.5.0
-pkgrel=0
-pkgdesc="Korn Shell ported version of ksh from OpenBSD"
-url="http://www.connochaetos.org/oksh"
-arch="all"
-license="GPL3"
-depends=""
-depends_dev=""
-makedepends="$depends_dev bsd-compat-headers"
-install=""
-subpackages="$pkgname-doc"
-source="http://www.connochaetos.org/$pkgname/${pkgname}-${pkgver}.tar.gz"
-
-_builddir="$srcdir/$pkgname-$pkgver"
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--prefix=/usr \
-		--sysconfdir=/etc \
-		--mandir=/usr/share/man/man1/ \
-		--infodir=/usr/share/info \
-		--localstatedir=/var \
-		|| return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" prefix=${pkgdir} mandir=$pkgdir/usr/share/man/man1/ install || return 1
-}
-
-doc() {
-    # Man pages
-    mkdir -p "$subpkgdir"/usr/share/man || return 1
-    mv "$pkgdir"/usr/share/man/man* "$subpkgdir"/usr/share/man/man1/ || return 1
-}
-
-md5sums="e8118f06ac41ff7ce416706ffc649192  oksh-0.5.0.tar.gz"
-sha256sums="63c7570afdcd124244584ace0e8ed0c5f3dd57f0f5cba0d7746ee3aeb194686e  oksh-0.5.0.tar.gz"
-sha512sums="c93dad98444cbdffe40b2448ae39d38f347fb93a8008e5ee411cbfdf7defde2e454f17655b6c709e1536261ad01ef5cd81845c4569bffeae3405654963fa9088  oksh-0.5.0.tar.gz"
diff --git a/unmaintained/oksh/APKBUILD b/unmaintained/oksh/APKBUILD
new file mode 100644
index 0000000..d2b214c
--- /dev/null
+++ b/unmaintained/oksh/APKBUILD
_at_@ -0,0 +1,57 @@
+# Contributor: Orion <systmkor_at_gmail.com
+# Maintainer: Orion <systmkor_at_gmail.com
+# Reference
+#   https://aur.archlinux.org/packages/oksh/
+pkgname=oksh
+pkgver=0.5.0
+pkgrel=0
+pkgdesc="Korn Shell ported version of ksh from OpenBSD"
+url="http://www.connochaetos.org/oksh"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev=""
+makedepends="$depends_dev bsd-compat-headers"
+install=""
+subpackages="$pkgname-doc"
+source="http://www.connochaetos.org/$pkgname/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man/man1/ \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" prefix=${pkgdir} mandir=$pkgdir/usr/share/man/man1/ install || return 1
+}
+
+doc() {
+    # Man pages
+    mkdir -p "$subpkgdir"/usr/share/man || return 1
+    mv "$pkgdir"/usr/share/man/man* "$subpkgdir"/usr/share/man/man1/ || return 1
+}
+
+md5sums="e8118f06ac41ff7ce416706ffc649192  oksh-0.5.0.tar.gz"
+sha256sums="63c7570afdcd124244584ace0e8ed0c5f3dd57f0f5cba0d7746ee3aeb194686e  oksh-0.5.0.tar.gz"
+sha512sums="c93dad98444cbdffe40b2448ae39d38f347fb93a8008e5ee411cbfdf7defde2e454f17655b6c709e1536261ad01ef5cd81845c4569bffeae3405654963fa9088  oksh-0.5.0.tar.gz"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Oct 20 2015 - 18:23:23 GMT